Package org.apache.batchee.container.impl.jobinstance

## Class RuntimeJobExecution

- java.lang.Object
- - org.apache.batchee.container.impl.jobinstance.RuntimeJobExecution

- Direct Known Subclasses:
    `RuntimeFlowInSplitExecution`

      public class RuntimeJobExecution
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuntimeJobExecution​(javax.batch.runtime.JobInstance jobInstance, long executionId, PersistenceManagerService persistenceManagerService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addReleasable​(Closeable releasable)` |
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `Date` | `getCreateTime()` |
    `Date` | `getEndTime()` |
    `long` | `getExecutionId()` |
    `String` | `getExitStatus()` |
    `long` | `getInstanceId()` |
    `JobContextImpl` | `getJobContext()` |
    `javax.batch.runtime.JobInstance` | `getJobInstance()` |
    `ModelNavigator<JSLJob>` | `getJobNavigator()` |
    `InternalJobExecution` | `getJobOperatorJobExecution()` |
    `Properties` | `getJobParameters()` |
    `Date` | `getLastUpdatedTime()` |
    `ListenerFactory` | `getListenerFactory()` |
    `Integer` | `getPartitionInstance()` |
    `Collection<Closeable>` | `getReleasables()` |
    `String` | `getRestartOn()` |
    `Date` | `getStartTime()` |
    `void` | `inheritJobContext​(JobContextImpl jc)` |
    `void` | `prepareForExecution​(JobContextImpl jobContext)` |
    `void` | `prepareForExecution​(JobContextImpl jobContext, String restartOn)` | Non-spec'd methods (not on the interface, but maybe we should put on a second interface).
    `void` | `setBatchStatus​(String status)` |
    `void` | `setCreateTime​(Timestamp ts)` |
    `void` | `setEndTime​(Timestamp ts)` |
    `void` | `setExitStatus​(String status)` |
    `void` | `setJobParameters​(Properties jProps)` |
    `void` | `setLastUpdateTime​(Timestamp ts)` |
    `void` | `setListenerFactory​(ListenerFactory listenerFactory)` |
    `void` | `setPartitionInstance​(Integer partitionInstance)` |
    `void` | `setRestartOn​(String restartOn)` |
    `void` | `setStartTime​(Timestamp ts)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeJobExecution

          public RuntimeJobExecution​(javax.batch.runtime.JobInstance jobInstance,
                                     long executionId,
                                     PersistenceManagerService persistenceManagerService)

  - ### Method Detail

    - #### prepareForExecution

          public void prepareForExecution​(JobContextImpl jobContext,
                                          String restartOn)

      Non-spec'd methods (not on the interface, but maybe we should put on a second interface).

    - #### prepareForExecution

          public void prepareForExecution​(JobContextImpl jobContext)

    - #### inheritJobContext

          public void inheritJobContext​(JobContextImpl jc)

    - #### setRestartOn

          public void setRestartOn​(String restartOn)

    - #### getExecutionId

          public long getExecutionId()

    - #### getInstanceId

          public long getInstanceId()

    - #### getJobInstance

          public javax.batch.runtime.JobInstance getJobInstance()

    - #### getJobNavigator

          public ModelNavigator<JSLJob> getJobNavigator()

    - #### getJobContext

          public JobContextImpl getJobContext()

    - #### getRestartOn

          public String getRestartOn()

    - #### getListenerFactory

          public ListenerFactory getListenerFactory()

    - #### setListenerFactory

          public void setListenerFactory​(ListenerFactory listenerFactory)

    - #### getJobOperatorJobExecution

          public InternalJobExecution getJobOperatorJobExecution()

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

    - #### getExitStatus

          public String getExitStatus()

    - #### setBatchStatus

          public void setBatchStatus​(String status)

    - #### setCreateTime

          public void setCreateTime​(Timestamp ts)

    - #### setEndTime

          public void setEndTime​(Timestamp ts)

    - #### setExitStatus

          public void setExitStatus​(String status)

    - #### setLastUpdateTime

          public void setLastUpdateTime​(Timestamp ts)

    - #### setStartTime

          public void setStartTime​(Timestamp ts)

    - #### setJobParameters

          public void setJobParameters​(Properties jProps)

    - #### getJobParameters

          public Properties getJobParameters()

    - #### getStartTime

          public Date getStartTime()

    - #### getEndTime

          public Date getEndTime()

    - #### getLastUpdatedTime

          public Date getLastUpdatedTime()

    - #### getCreateTime

          public Date getCreateTime()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getPartitionInstance

          public Integer getPartitionInstance()

    - #### setPartitionInstance

          public void setPartitionInstance​(Integer partitionInstance)

    - #### getReleasables

          public Collection<Closeable> getReleasables()

    - #### addReleasable

          public void addReleasable​(Closeable releasable)